Skip to navigation

Create a broadcast round

Create a new broadcast round to relay external games. This endpoint accepts the same form data as the web form.

Choose one between syncUrl, syncUrls, syncIds and syncUsers, if it is missing, the broadcast needs to be fed by pushing PGN to it

Authentication

Path parameters

broadcastTournamentIdstringRequired=8 characters
The broadcast tournament ID

Request

This endpoint expects an object.
send games via pushobjectRequired
OR
retrieve games via PGN urlobjectRequired
OR
retrieve games via mutiple PGN urlsobjectRequired
OR
retrieve games via Lichess game IDsobjectRequired
OR
retrieve games via Lichess usernamesobjectRequired

Response

The broadcast round was successfully created.
roundobject
tourobject
studyobject

Errors

400
Bad Request Error